New to the Portal? Create Account
Documentation

< Back to Documentation Overview

Service Reviews Add-On APIs

Overview

Availity offers two add-on APIs that work in conjunction with the Service Reviews API to enhance the ASC X12N 278 transaction (authorizations/referrals):

  • IsAuthRequired – Allows providers to determine whether a payer requires an authorization for a service before completing the authorization request.

  • Attachments – Enables third parties to submit attachments to an existing authorization submission and to view the status of a submitted authorization attachment.

Note: For more information about Availity's APIs, refer to the Availity API Guide.

IsAuthRequired 2.0.0 (Currently Unavailable)

Attention: This API is currently unavailable to new customers.

IsAuthRequired can be enabled on the Authorization Request workflow in Availity Essentials and is now available on the Availity for Developers portal for third-party submitters. Using the Service Reviews API as the request, the API constructs a payer-specific IsAuthRequired request to send to the payer. Once the response is received, the results are integrated with the authorization request and returned to the user with a procedure status of Auth Required or No Auth Required.

Endpoints

IsAuthRequired endpoints
Path Function
1 POST/value-adds/v1/isauthrequired Create a service review request to determine if an
authorization is required. When you make a valid request,
Availity responds with a location header containing a URL you
can query for your result.
2 GET/value-adds/v1/isauthrequired/{id} Replace {id} with the response ID returned in the URL of the
POST request to "poll" whether the API has received the complete
information from the payer.

Parameters

1. POST/value-adds/v1/isauthrequired

Parameter/Request body Type Definition
serviceReview Body object (optional) Represents the details of the service review you are creating
to determine if an authorization is required. Refer to the request body
below for possible fields and definitions. Refer to the Response
Definitions section of the Service Reviews API
documentation for full object and field definitions.
Content-Type Header string (optional) Allows you to specify application/json or
application/xml
Accept Header string (optional) Allows you to specify application/json or
application/xml

POST serviceReview request body:

{
    "type": "object",
    "properties": {
        "id": {
            "type": "string",
            "$ref": "The unique response ID from your initial request."
        },
        "customerId": {
            "type": "string",
            "$ref": "The Availity customer ID of the organization that submitted the authorization or referral. Availity may ask for this number during support calls."
        },
        "controlNumber": {
            "type": "string",
            "$ref": "The ID number of the last transaction associated with this service review. The health plan may ask for this number during support calls."
        },
        "userId": {
            "type": "string",
            "$ref": "The user ID of the organization that submitted this service review."
        },
        "shortFormIndicator": {
            "type": "boolean",
            "$ref": "Used to set the transaction type code. Whether TRUE or FALSE, this indicator sets the transaction type code to 25 for admission reviews and 26 for health service reviews. For specialty care review, the transaction type code is set as follows:
TRUE: 429, FALSE: 24."
        },
        "updatable": {
            "type": "boolean",
            "$ref": "Indicates whether the service review can be updated."
        },
        "deletable": {
            "type": "boolean",
            "$ref": "Indicates whether the service review can be deleted."
        },
        "updatableFields": {
            "type": "array",
            "$ref": "Indicates the fields the health plan allows to be updated."
        },
        "status": {
            "type": "string",
            "$ref": "Describes the current status of the service review."
        },
        "statusCode": {
            "type": "string",
            "$ref": "The code for the current status of the authorization or referral."
        },
        "statusReasons": {
            "type": "array",
            "$ref": "Provides information about the reason(s) the health plan has given for the current status of the authorization or referral."
        },
        "createdDate": {
            "type": "string",
            "$ref": "The date and time Availity created the item in the system."
        },
        "updatedDate": {
            "type": "string",
            "$ref": "The date and time the item was last updated."
        },
        "expirationDate": {
            "type": "string",
            "$ref": "The date and time the item will be removed from Availity's system."
        },
        "validationMessages": {
            "type": "array",
            "$ref": "rovides information about problems with the service review. Errors encountered during validation at Availity have a field and possibly an index, while errors returned by the health plan have a code."
        },
        "providerNotes": {
            "type": "array",
            "$ref": "Provides information about the array of notes the provider added to the service review."
        },
        "payerNotes": {
            "type": "array",
            "$ref": "Provides information about the array of notes the health plan added to the service review. Text is included in the <code>payerNotes.message</code> field."
        },
        "payer": {
            "type": "object"
            "$ref": "Object providing information about the patient's health plan."
        },
        "requestingProvider": {
            "type": "object"
            "$ref": "Object providing information about the provider who requested authorization to perform the service or referral."
        },
        "subscriber": {
            "type": "object"
            "$ref": "Object providing information about the health plan subscriber."
        },
        "patient": {
            "type": "object"
            "$ref": "Object providing information about the patient who received/will receive the service or referral. "
        },
        "diagnoses": {
            "type": "array",
            "$ref": "Array providing information about the patient's diagnosis/es related to the service or referral. "
        },
        "certificationIssueDate": {
            "type": "string",
            "$ref": "The date on which the health plan authorized the service or referral."
        },
        "certificationEffectiveDate": {
            "type": "string",
            "$ref": "The date on which the health plan's authorization takes place."
        },
        "certificationExpirationDate": {
            "type": "string",
            "$ref": "The date on which the health plan's authorization expires."
        },
        "certificationNumber": {
            "type": "string",
            "$ref": "The health plan's authorization number for claims."
        },
        "referenceNumber": {
            "type": "string",
            "$ref": "The health plan's reference number assigned to pended or otherwise incomplete service reviews."
        },
        "traceNumbers": {
            "type": "array",
            "$ref": "An array of trace numbers the health plan has assigned to the service review."
        },
        "requestType": {
            "type": "string",
            "$ref": "Describes the type of request: inpatient service authorization/referral, outpatient service authorization/referral, or referral."
        },
        "requestTypeCode": {
            "type": "string",
            "$ref": "The code for the request type. Values: HS (Health Services Review/outpatient), AR (Admission Review/inpatient), and SC (Specialty Care Review/referral)."
        },
        "serviceType": {
            "type": "string",
            "$ref": "Describes the type of service to be rendered."
        },
        "serviceTypeCode": {
            "type": "string",
            "$ref": "Code indicating the service type. Refer to the ASC X12 278 TR3 for the full list of service type codes. "
        },
        "additionalServiceTypes": {
            "type": "array",
            "$ref": "Describes additional types of services to be rendered."
        },
        "placeOfService": {
            "type": "string",
            "$ref": "Describes the place the service was rendered. Refer to X12 External Code Source 237: Place of Service Codes for Professional Claims (professional) or External Code Source 236: Uniform Billing Claim Form Bill Type (institutional)."
        },
        "placeOfServiceCode": {
            "type": "string",
            "$ref": "The code for the place the service was or will be rendered. Refer to X12 External Code Source 237: Place of Service Codes for Professional Claims (professional) or External Code Source 236: Uniform Billing Claim Form Bill Type (institutional)."
        },
        "serviceLevel": {
            "type": "string",
            "$ref": "Describes the level of service rendered."
        },
        "serviceLevelCode": {
            "type": "string",
            "$ref": "The code for the service level."
        },
        "fromDate": {
            "type": "string",
            "format": "date",
            "$ref": "The service or admission starting date."
        },
        "toDate": {
            "type": "string",
            "format": "date",
            "$ref": "The service end date or discharge date."
        },
        "quantity": {
            "type": "string",
            "$ref": "The number of units associated with the service."
        },
        "quantityType": {
            "type": "string",
            "$ref": "Describes the type of units."
        },
        "quantityTypeCode": {
            "type": "string",
            "$ref": "The code for the type of units."
        },
        "admissionType": {
            "type": "string",
            "$ref": "Describes the type of admission listed in an inpatient authorization request."
        },
        "admissionTypeCode": {
            "type": "string",
            "$ref": "The code for the admission type. Refer to X12 External Code Source 231: Admission Type Code."
        },
        "admissionSource": {
            "type": "string",
            "$ref": "Describes the source of the admission listed in an inpatient authorization request."
        },
        "admissionSourceCode": {
            "type": "string",
            "$ref": "The code for the admission source. Refer to X12 External Code Source 230: Admission Source Code."
        },
        "nursingHomeResidentialStatus": {
            "type": "string",
            "$ref": "Indicates whether the patient is a nursing home resident."
        },
        "nursingHomeResidentialStatusCode": {
            "type": "string",
            "$ref": "The code for the patient's nursing home residential status."
        },
        "homeHealthStartDate": {
            "type": "string",
            "$ref": "The starting date of the patient's home health services."
        },
        "homeHealthCertificationPeriodStartDate": {
            "type": "string",
            "$ref": "The starting date of the period for which home health services were certified."
        },
        "homeHealthCertificationPeriodEndDate": {
            "type": "string",
            "$ref": "The end date of the period for which home health services were authorized."
        },
        "transportType": {
            "type": "string",
            "$ref": "The type of transport used in a medically-related transport outpatient authorization request."
        },
        "transportTypeCode": {
            "type": "string",
            "$ref": "The code for the transport type."
        },
        "transportDistance": {
            "type": "string",
            "$ref": "The distance the patient was transported on a medically related transport outpatient authorization request."
        },
        "transportPurpose": {
            "type": "string",
            "$ref": "The purpose of the patient transport."
        },
        "chiropracticTreatmentCount": {
            "type": "string",
            "$ref": "Number of the chiropractic treatment if it is one in a series."
        },
        "beginningSubluxationLevel": {
            "type": "string",
            "$ref": "Level of sublaxation at the beginning of chiropractic treatment."
        },
        "beginningSubluxationLevelCode": {
            "type": "string",
            "$ref": "Code for the level of sublaxation at the beginning of chiropractic treatment. Refer to the ASC X12 278 TR3 (Health Care Services Review and Response) for the full list of subluxation level codes."
        },
        "endingSubluxationLevel": {
            "type": "string",
            "$ref": "Code for the level of subluxation at the end of chiropractic treatment. Refer to the ASC X12 278 TR3 for the full list of subluxation level codes."
        },
        "endingSubluxationLevelCode": {
            "type": "string",
            "$ref": "Code for the level of sublaxation at the end of chiropractic treatment. Refer to the ASC X12 278 TR3 for the full list of subluxation level codes."
        },
        "spinalCondition": {
            "type": "string",
            "$ref": "Description of the spinal condition. Mapped to CR208 in the ASC X12 278 TR3."
        },
        "spinalConditionCode": {
            "type": "string",
            "$ref": "Code for the spinal condition. Equivalent to Nature of Condition code (CR208) in the ASC X12 278 TR3."
        },
        "spinalConditionDescription": {
            "type": "string",
            "$ref": "Mapped to CR210 in the ASC X12 278 TR3."
        },
        "oxygenEquipmentType": {
            "type": "string",
            "$ref": "Describes the type of oxygen equipment authorized."
        },
        "oxygenEquipmentTypeCode": {
            "type": "string",
            "$ref": "Code indicating the oxygen equipment type. Refer to the ASC X12 278 TR3 for the full list of oxygen equipment codes."
        },
        "oxygenFlowRate": {
            "type": "string",
            "$ref": "Describes the oxygen flow rate in liters per minute."
        },
        "oxygenDailyUseCount": {
            "type": "string",
            "$ref": "Describes the number of times per day the patient must use oxygen."
        },
        "oxygenUsePeriodHourCount": {
            "type": "string",
            "$ref": "Describes the number of hours per period of oxygen use."
        },
        "oxygenOrderText": {
            "type": "string",
            "$ref": "Free-form description of special orders for the respiratory therapist."
        },
        "oxygenDeliverySystemType": {
            "type": "string",
            "$ref": "Describes the type of oxygen delivery system, if one was prescribed."
        },
        "oxygenDeliverySystemTypeCode": {
            "type": "string",
            "$ref": "Code for the oxygen delivery system. Refer to the ASC X12 278 TR3 (Health Care Services Review and Response) for the full list of oxygen delivery system codes."
        },
        "transportLocations": {
            "type": "array",
            "$ref": "An array providing information on the locations associated with a medically related transport outpatient authorization request."
        },
        "procedures": {
            "type": "array",
            "$ref": "Array providing information about the medical procedure(s) performed during the service. "
        },
        "renderingProviders": {
            "type": "array",
            "$ref": "Array of objects providing information about the provider(s) who rendered/will render the service."
        },
        "supplementalInformation": {
            "type": "object",
            "$ref": "Object providing supplemental information about the service. Contains the following arrays: attachments; diagnoses; procedures. Also contains the following strings: refAuthNumber (the authorization or referral number); sequence (the sequence number); updateType."
        }
    }
}

2. GET/value-adds/v1/isauthrequired/{id}

Parameter Type Definition
id Path string (required) The unique response ID from your initial POST
request.
Accept Header string (optional) Allows you to specify application/json or
application/xml

Sample requests and responses

1. POST/value-adds/v1/isauthrequired

Request:

curl --location --request POST 'https://qua.api.availity.com/arp/ar-routing/external/value-adds/v1/isauthrequired' \
--header 'X-Client-Id: ' \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json' \
--data-raw '{
     "serviceReview": {
        "id": "00012345678910",
        "statusCode": "",
        "statusReasons": [],
        "payerNotes": [],
        "payer": {
          "id": "99999"
        },
    "requestingProvider": {
      "lastName": "PROVIDERONE",
      "firstName": "TEST",
      "npi": "1234567891",
      "taxId": "111111111",
      "addressLine1": "111 HEALTHY PKWY",
      "city": "JACKSONVILLE",
      "stateCode": "FL",
      "zipCode": "22222",
      "phone": "1234567890",
      "fax": "",
      "contactName": "NURSE LINE",
      "roleCode": "1P"
    },
    "subscriber": {
      "memberId": "NCF103T99937"
    },
    "patient": {
      "firstName": "TEST",
      "lastName": "PATIENTONE",
      "subscriberRelationshipCode": "18",
      "birthDate": "1990-01-01"
    },
    "diagnoses": [
      {
        "qualifierCode": "ABK",
        "code": "A52.00"
      }
    ],
    "certificationNumber": "",
    "referenceNumber": "",
    "requestTypeCode": "HS",
    "serviceTypeCode": "73",
    "placeOfServiceCode": "22",
    "serviceLevelCode": "E",
    "fromDate": "2022-09-02",
    "toDate": "2022-09-13",
    "quantity": "1",
    "quantityTypeCode": "VS",
    "admissionTypeCode": "",
    "admissionSourceCode": "",
    "procedures": [
      {
        "statusCode": "",
        "statusReasons": [],
        "certificationNumber": "",
        "notes": [],
        "fromDate": "2022-09-02",
        "toDate": "2022-09-13",
        "code": "99242",
        "qualifierCode": "HC",
        "quantity": "1",
        "quantityTypeCode": "UN"
      }
    ],
    "renderingProviders": [
      {
        "lastName": "PROVIDERONE",
        "firstName": "TEST",
        "npi": "1234567891",
        "taxId": "111111111",
        "roleCode": "71",
        "addressLine1": "111 HEALTHY PKWY",
        "city": "JACKSONVILLE",
        "stateCode": "FL",
        "zipCode": "22222",
        "phone": "",
        "fax": ""
      },
      {
        "lastName": "PROVIDERTWO",
        "npi": "1234567892",
        "taxId": "222222222",
        "roleCode": "FA",
        "addressLine1": "222 PROCEDURE ROADWAY",
        "city": "JACKSONVILLE",
        "stateCode": "FL",
        "zipCode": "22222",
        "phone": "",
        "fax": ""
      }
    ]
  }
}'

Response:

If your request is invalid, the resource responds with a status code of 400 and a list of errors for you to correct. If your request is valid, the resource responds with an ID in the URL you can use in the GET request to "poll" whether the API has received the information about the authorization.

2. GET/value-adds/v1/isauthrequired/{id}

Request:

curl -X GET "https://qua.api.availity.com/arp/ar-routing/external/value-adds/v1/isauthrequired/00012345678910"

Response:

In the response, the status field in the procedures object indicates whether an authorization is required.

 "serviceReview": {
      "id": "00012345678910",
      "customerId": "121212",
      "providerNotes": [
        {
          "message": "Sample message. "
        }
      ],
      "payer": {
        "id": "99999",
        "name": "Health Plan One"
      },
      "requestingProvider": {
        "phone": "1111111111",
        "extension": "",
        "fax": "4444444444",
        "contactName": "Test, AuthorizedContactOne",
        "contactPhone": "1111111111",
        "contactPhoneExtension": "",
        "emailAddress": AVTest11@availity.com,
        "roleCode": "1P"
      },
      "subscriber": {
        "firstName": "PATIENTONE",
        "lastName": "TEST",
        "memberId": "ABC123456789",
        "groupNumber": "565656",
        "lineOfBusiness": "Medicare Advantage"
      },
      "patient": {
        "firstName": "PATIENTONE",
        "lastName": "TEST",
        "subscriberRelationshipCode": "18",
        "birthDate": "1990-01-01",
        "genderCode": "M"
      },
      "organization": {
        "name": "Availity Test Org"
      },
      "diagnoses": [],
      "requestType": "Outpatient Authorization",
      "requestTypeCode": "HS",
      "fromDate": "2024-01-05",
      "procedures": [
        {
          <strong>"status": "Auth Required"</strong>,
          "statusCode": "AR",
          "statusReasons": [
            {
              "code": "",
              "value": ""
            }
          ],
          "notes": [
            {
              "message": ""
            }
          ],
          "code": "00000",
          "qualifierCode": "AB",
          "referenceIdentification": "01"
        }
      ],
      "prescriptions": [],
      "supplementalInformation": {
        "attachments": [],
        "isAwaitingAsyncPush": false
      },
      "auditLogs": [
        {
          "type": "",
          "id": ""
        }
      ]
    }
  }

Response definitions

Refer to the Response Definitions section of the Service Reviews API documentation for object and field definitions.

Attachments 2.0.0 (Currently Unavailable)

Attention: This API is in a closed pilot phase and is currently unavailable to new customers.

The Service Reviews Attachments add-on API allows you to 1., submit an attachment with an authorization request (POST) and 2., review the status of an attachment you have previously submitted (GET). In simplest terms, the POST request allows you to send an attachments array with a service review request. Refer to the Service Reviews API documentation for more information about the serviceReviews request body.

Endpoints


Path Function
1 POST/value-adds/v2/attachments Submit an attachment with an authorization request.
When
you make a valid request, Availity responds with a location
header containing a URL you can query for your
result.
2 GET/value-adds/v2/attachments/{id} View the status of an authorization attachment.
Replace
{id} with the response ID returned in the URL of the POST
request to "poll" whether the API has received the complete
information from the payer.

Parameters

1. POST/value-adds/v2/attachments

POST/v2/attachments request
body
Parameter Type Definition
id String The authorization attachment request ID.
vaultUri String The URI of the request payload.
status String The status of the attachment. Values:
  • SUBMITTED
  • AV_ACCEPTED
  • AV_REJECTED
  • PY_ACCEPTED
  • PY_REJECTED
responseMessage Array List of error messages associated with the
attachment.
serviceReview Body object

Represents the details of the authorization you are creating. At a minimum, send the following fields in the body:

  • payer

  • payer.id

  • customerId

  • patient

  • patient.lastName

  • patient.firstName

  • subscriber

  • subscriber.memberId

  • requestingProvider

  • requestingProvider.lastName

  • requestingProvider.stateCode

  • requestingProvider.npi OR requestingProvider.taxId (one is required)

  • controlNumber

  • referenceNumber OR certificationNumber (one is required)

Refer to the Service Reviews API
documentation to view a full serviceReview request body and
definitions.
attachments Body array
Array providing information about the attachments. Fields and definitions are:
  • attachmentTypeCode – The code for the attachment type. Refer to the X12 TR3 for the 275 transaction (Medical Attachments).

  • contentType – The file type of the attached document.

  • title – The title of the attachment document, including file extension.

  • data

  • size – The attachment file size.

  • creation – The date the item was created in the system.

Refer to the table below for information about payer-specific
requirements.

Attachments request body: Payer-specific requirements

Payer Allowed file types Maximum file size (bytes) Maximum number of files Required fields
Aetna
  • application/msword

  • application/vnd.openxmlformats-officedocument. wordprocessingml. document

  • application/vnd.ms-excel

  • application/vnd.openxmlformats-officedocument. spreadsheetml.sheet

  • application/pdf

  • image/jpeg

  • image/jpg

  • image/gif

  • image/png

  • image/tiff

  • image/tif

  • text/txt

201326592 10
  • applicationTypeCode

  • contentType

  • title

  • data

  • size

  • creation

Humana
  • application/vnd.ms-excel

  • application/vnd.openxmlformats-officedocument. spreadsheetml.sheet

  • application/pdf

  • image/png

  • image/jpeg

  • image/jpg

  • image/tiff

  • image/tif

6000000 10
  • applicationTypeCode

  • contentType

  • title

  • data

  • size

  • creation

Anthem
  • application/msword

  • application/vnd.openxmlformats-officedocument. wordprocessingml.document

  • application/vnd.ms-excel

  • application/vnd.openxmlformats-officedocument. spreadsheetml.sheet

  • application/pdf

  • application/xml

  • image/jpeg

  • image/jpg

  • image/gif

  • image/png

  • image/tiff

  • image/tif

  • text/txt

104857600 10
  • applicationTypeCode

  • contentType

  • title

  • data

  • size

  • creation

HCSC
  • application/pdf

  • application/xml

  • image/jpeg

  • image/jpg

  • image/tiff

  • image/tif

41943040 10
  • applicationTypeCode

  • contentType

  • title

  • data

  • size

  • creation

Molina
  • image/jpeg

  • image/jpg

  • image/tiff

  • image/tif

  • application/pdf

  • text/csv

  • image/gif

  • image/png

134217728 10
  • applicationTypeCode

  • contentType

  • title

  • data

  • size

  • creation

Premera
  • application/msword

  • application/vnd.openxmlformats-officedocument. wordprocessingml.document

  • application/vnd.ms-excel

  • application/vnd.openxmlformats-officedocument.spreadsheetml.sheet

  • application/vnd.ms-powerpoint

  • application/vnd.openxmlformats-officedocument. presentationml.presentation

  • application/pdf

  • application/xml

  • text/xml

  • image/jpeg

  • image/jpg

  • image/tiff

  • image/tif

  • text/csv

  • application/json

  • application/rtf

  • image/gif

  • image/png

  • text/rtf

  • application/vnd.ms-outlook

  • text/html

  • image/bmp

  • text/plain

10485760 10
  • applicationTypeCode

  • contentType

  • title

  • data

  • size

  • creation

Regence
  • application/msword

  • application/vnd.openxmlformats-officedocument. wordprocessingml.document

  • application/vnd.ms-excel

  • application/vnd.openxmlformats-officedocument. spreadsheetml.sheet

  • application/vnd.ms-powerpoint

  • application/vnd.openxmlformats-officedocument. presentationml.presentation

  • image/png

  • image/jpeg

  • image/jpg

  • image/tiff

  • image/tif

  • image/gif

  • application/pdf

  • application/xml

  • text/csv

  • text/html

  • application/vnd.ms-outlook

  • application/rtf

  • text/plain

62914560 10
  • applicationTypeCode

  • contentType

  • title

  • data

  • size

  • creation

2. GET/value-adds/v2/attachments/{id} request parameters:

Parameter Type Definition
id Path string (required) The unique response ID from your initial POST
request.
Accept Header string (optional) Allows you to specify application/json or
application/xml

Sample requests and responses

1. POST/value-adds/v2/attachments

Request (i.e., a service review request including an attachments array, in bold below):

curl --location --request POST 'http://localhost:7700/external/value-adds/v2/attachments' \
--header 'RemoteUser: tester' \
--header 'X-Wait-For-Response: 30000' \
--header 'X-availity-customer-id: 1194' \
--header 'X-Stub-Authorized: true' \
--header 'Content-Type: application/json' \
--data-raw --data '{
   <strong> "attachments": [
        {
            "attachmentTypeCode": "M1”,
            "contentType": "application/PDF",
           "title": "test_clinical_doc_.pdf",
      "data": "JVBERi0yLjAKJbq63toKMSAwIG9iajw8L1R5cGU+vQ2F0YWxvZy9QYWdAwIFI=",
            "size": “584”,
            "creation": "2026-03-05”
        }
    ],</strong>
    "serviceReview": {
        "referenceNumber": "Add ",
        "payer": {
            "id": "Health Plan One"
        },
        "requestTypeCode": "HS",
        "placeOfServiceCode": "22",
        "fromDate": "2026-01-05",
        "toDate": "2026-01-05",
        "quantity": "1",
        "quantityTypeCode": "DA",
        "requestingProvider": {
            "lastName": "PROVIDERONE",
            "firstName": "TEST",
            "npi": "123456789",
            "contactName": "Health Plan Test",
            "phone": "5555555555"
        },
        "subscriber": {
            "memberId": "123456789"
        },
        "patient": {
            "birthDate": "1990-01-01"
        },
        "diagnoses": [
            {
                "qualifierCode": "ABK",
                "code": "Z77.22"
            }
        ],
        "procedures": [
            {
                "qualifierCode": "HC",
                "code": "99223",
                "fromDate": "2026-01-05",
                "toDate": "2026-01-05",
                "serviceQuantity": "1",
                "serviceQuantityTypeCode": "DY",
                "quantityTypeCode": "DA"
            }
        ],
        "renderingProviders": [
            {
                "roleCode": "71",
                "lastName": "PROVIDERTWO",
                "firstName": "TEST",
                "npi": "987654321"
            }
        ]
    }
}'

Response:

If your request is invalid, the resource responds with a status code of 400 and a list of errors for you to correct. If your request is valid, the resource responds with an ID in the URL you can use in the GET request to "poll" whether the API has received the information about the authorization.

2. GET/value-adds/v2/attachments/{id}

Request:

curl --location --request GET 'http://localhost:7700/external/value-adds/v2/attachments/16536719344950000248823246346246' \
--header 'RemoteUser: tester' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'X-Stub-Authorized: true' \
--data-raw ''

Response (with status, responseMessage, and attachments array in bold):

{
    "id": "16536719344950000248823246346246",
    "originatorId": received.response.attachment@c954f33e-cf2c-4e4e-89de-d84bdf352b32:3,
    "vaultUri": "/eade5549-7429-4fe4-aa8b-1caf34da0edc/af3b8b9b-6fce-4ab2-a0c1-51e05f19339a",
   <strong> "status": "SUBMITTED",</strong>
   <strong> "responseMessage": [
        "Processed PDF Attachment Response"
    ],</strong>
    "incomingRequestId": "3306847",
    "serviceReview": {
        "id": "-2307668396582942483",
        "customerId": "280179",
        "controlNumber": "454545454",
        "externalControlNumber": "123456789",
        "userId": "aka999999999",
        "shortFormIndicator": false,
        "updatable": false,
        "deletable": false,
        "status": "Certified in Total",
        "statusCode": "A1",
        "createdDate": "2026-03-05T19:57:02.000+00:00",
        "updatedDate": "2026-03-05T19:57:26.073+00:00",
        "expirationDate": "2026-03-05T19:57:02.000+00:00",
        "payer": {
            "id": "HEALTHPLAN ONE",
            "isResponseIdUsed": false,
            "name": "HEALTHPLAN ONE",
            "receiverId": "HEALTHPLAN ONE"
        },
        "requestingProvider": {
            "lastName": "PROVIDERONE",
            "firstName": "TEST",
            "npi": "123456789",
            "taxId": "123456789",
            "specialty": "Obstetrics & Gynecology",
            "specialtyCode": "207V00000X",
            "addressLine1": "111111 Healthy Parkway",
            "addressLine2": "STE F1500",
            "city": "JACKSONVILLE",
            "state": "Florida",
            "stateCode": "FL",
            "zipCode": "22222",
            "phone": "5555555555",
            "fax": "1111111111",
            "contactName": "Health Plan Test",
            "roleCode": "1P",
            "isInNetworkProvider": false
        },
        "subscriber": {
            "firstName": "PatientOne",
            "lastName": "TEST",
            "memberId": "123456789"
        },
        "patient": {
            "firstName": "PatientOne",
            "lastName": "TEST",
            "subscriberRelationship": "Self",
            "subscriberRelationshipCode": "18",
            "birthDate": "1990-01-01",
            "gender": "Female",
            "genderCode": "F"
        },
        "organization": {
            "id": "143859",
            "customerId": "1194",
            "name": "ProviderOne"
        },
        "diagnoses": [
            {
                "qualifier": "International Classification of Diseases Clinical Modification (ICD-10-CM) Principal Diagnosis",
                "qualifierCode": "ABK",
                "value": "Maternal care for breech presentation unsp",
                "code": "O321XX0",
                "date": "2026-03-05"
            }
        ],
        "certificationNumber": "123456789",
        "certificationTypeCode": "I",
        "referenceNumber": "123456",
        "traceNumbers": [
            "1*6120897*9G00840   ",
            "2*41504852204*3030240928"
        ],
        "requestType": "Admission Review",
        "requestTypeCode": "AR",
        "serviceType": "Maternity",
        "serviceTypeCode": "69",
        "placeOfService": "Inpatient Hospital",
        "placeOfServiceCode": "21",
        "fromDate": "2026-03-18",
        "quantity": "4",
        "quantityType": "Days",
        "quantityTypeCode": "DY",
        "admissionType": "Elective",
        "admissionTypeCode": "3",
        "procedures": [
            {
                "status": "Certified in Total",
                "statusCode": "A1",
                "certificationNumber": "123456789",
                "code": "59515",
                "qualifierCode": "HC",
                "qualifier": "Health Care Financing Administration Common Procedural Coding System (HCPCS) Codes",
                "svType": "SV2"
            }
        ],
        "renderingProviders": [
            {
                "lastName": "TEST",
                "firstName": "ProviderOne",
                "npi": "1993104999",
                "specialty": "Obstetrics & Gynecology",
                "specialtyCode": "207V00000X",
                "role": "Attending Physician",
                "roleCode": "71",
                "providerTypeCode": "AT",
                "addressLine1": "111 Healthy Parkway",
                "addressLine2": "Ste 2",
                "city": "JACKSONVILLE",
                "state": "Florida",
                "stateCode": "FL",
                "zipCode": "22222",
                "isInNetworkProvider": false,
                "isExpressEntry": false
            },
            {
                "lastName": "ProviderOne",
                "npi": "1477643690",
                "role": "Facility",
                "roleCode": "FA",
                "addressLine1": "111 Healthy Parkway",
                "city": "JACKSONVILLE",
                "state": "Florida",
                "stateCode": "FL",
                "zipCode": "22222",
                "fax": "1112223333",
                "isInNetworkProvider": false,
                "isExpressEntry": false
            }
        ],
        "transactionCreateDate": "2026-03-05"
    },
    <strong>"attachments": [
        {
            "attachmentTypeCode": "M1",
            "contentType": "application/PDF",
            "title": "test_clinical_doc_whittle.pdf",
            "data": "JVBERi0yLjAKJbq63toKMSAwIG9iajw8L1R5cGU+vQ2F0YWxvZy9QYWdAwIFI=",
            "size": 584,
            "creation": "2026-03-05"
        },
    ],
    "attachmentRequestNumber": "123456789"</strong>
}

Response definitions

Refer to the Response Definitions section of the Service Reviews API documentation for object and field definitions.